Bug 442787 - Review Request: hamster-applet - Time tracking applet
Review Request: hamster-applet - Time tracking applet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 15:30 EDT by Mads Villadsen
Modified: 2008-05-25 15:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 15:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2008-04-16 15:30:57 EDT
Spec URL: http://krakoa.dk/fedora/hamster-applet.spec
SRPM URL: http://krakoa.dk/fedora/hamster-applet-0.1.7.3-1.fc9.src.rpm
Description: Time tracking for masses in GNOME.
Comment 1 Mads Villadsen 2008-04-16 15:39:42 EDT
I would like to point out that the license may change. It is currently being
investigated (see
http://mail.gnome.org/archives/desktop-devel-list/2008-April/msg00163.html).
Comment 2 manuel wolfshant 2008-04-16 20:56:55 EDT
Your spec has a lot of missing BR:
gettext perl(XML::Parser) gtk2-devel gnome-python2-applet

and it also has a problem with %files:
RPM build errors:
    File not found by glob:
/var/tmp/hamster-applet-0.1.7.3-1.fc9-root-mockbuild/usr/lib64/python2.5/s
ite-packages/*
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/hamster/Configuration.py
   /usr/lib/python2.5/site-packages/hamster/Configuration.pyc
   /usr/lib/python2.5/site-packages/hamster/Configuration.pyo
   /usr/lib/python2.5/site-packages/hamster/KeyBinder.py
   /usr/lib/python2.5/site-packages/hamster/KeyBinder.pyc
   /usr/lib/python2.5/site-packages/hamster/KeyBinder.pyo
   /usr/lib/python2.5/site-packages/hamster/__init__.py
   /usr/lib/python2.5/site-packages/hamster/__init__.pyc
   /usr/lib/python2.5/site-packages/hamster/__init__.pyo
   /usr/lib/python2.5/site-packages/hamster/about.py
   /usr/lib/python2.5/site-packages/hamster/about.pyc
   /usr/lib/python2.5/site-packages/hamster/about.pyo
   /usr/lib/python2.5/site-packages/hamster/activities.py
   /usr/lib/python2.5/site-packages/hamster/activities.pyc
   /usr/lib/python2.5/site-packages/hamster/activities.pyo
   /usr/lib/python2.5/site-packages/hamster/add_custom_fact.py
   /usr/lib/python2.5/site-packages/hamster/add_custom_fact.pyc
   /usr/lib/python2.5/site-packages/hamster/add_custom_fact.pyo
   /usr/lib/python2.5/site-packages/hamster/applet.py
   /usr/lib/python2.5/site-packages/hamster/applet.pyc
   /usr/lib/python2.5/site-packages/hamster/applet.pyo
   /usr/lib/python2.5/site-packages/hamster/charting.py
   /usr/lib/python2.5/site-packages/hamster/charting.pyc
   /usr/lib/python2.5/site-packages/hamster/charting.pyo
   /usr/lib/python2.5/site-packages/hamster/db.py
   /usr/lib/python2.5/site-packages/hamster/db.pyc
   /usr/lib/python2.5/site-packages/hamster/db.pyo
   /usr/lib/python2.5/site-packages/hamster/defs.py
   /usr/lib/python2.5/site-packages/hamster/defs.pyc
   /usr/lib/python2.5/site-packages/hamster/defs.pyo
   /usr/lib/python2.5/site-packages/hamster/dispatcher.py
   /usr/lib/python2.5/site-packages/hamster/dispatcher.pyc
   /usr/lib/python2.5/site-packages/hamster/dispatcher.pyo
   /usr/lib/python2.5/site-packages/hamster/eds.py
   /usr/lib/python2.5/site-packages/hamster/eds.pyc
   /usr/lib/python2.5/site-packages/hamster/eds.pyo
   /usr/lib/python2.5/site-packages/hamster/keybinder/__init__.py
   /usr/lib/python2.5/site-packages/hamster/keybinder/__init__.pyc
   /usr/lib/python2.5/site-packages/hamster/keybinder/__init__.pyo
   /usr/lib/python2.5/site-packages/hamster/keybinder/_keybinder.la
   /usr/lib/python2.5/site-packages/hamster/keybinder/_keybinder.so
   /usr/lib/python2.5/site-packages/hamster/stats.py
   /usr/lib/python2.5/site-packages/hamster/stats.pyc
   /usr/lib/python2.5/site-packages/hamster/stats.pyo
   /usr/lib/python2.5/site-packages/hamster/storage.py
   /usr/lib/python2.5/site-packages/hamster/storage.pyc
   /usr/lib/python2.5/site-packages/hamster/storage.pyo
   /usr/lib/python2.5/site-packages/hamster/stuff.py
   /usr/lib/python2.5/site-packages/hamster/stuff.pyc
   /usr/lib/python2.5/site-packages/hamster/stuff.pyo

It looks like you need to patch the install script to place files in the correct
folder, now it enforces /usr/lib (and fails on x86_64)
Comment 3 Mads Villadsen 2008-04-19 16:21:27 EDT
I have made a new fixed version:

Spec URL: http://krakoa.dk/fedora/hamster-applet.spec
SRPM URL: http://krakoa.dk/fedora/hamster-applet-0.1.7.4-1.fc9.src.rpm

Changes I have made:

- New upstream version
- Updated license (as per
http://mail.gnome.org/archives/desktop-devel-list/2008-April/msg00173.html)
- Added missing BuildRequires
- Correctly use python_sitelib instead of python_sitearch

I now correctly build on all architectures. I tested this using a koji scratch
build on dist-f9 (http://koji.fedoraproject.org/koji/taskinfo?taskID=573875).
Comment 4 manuel wolfshant 2008-04-19 21:11:33 EDT
Seems OK now. There is a single warning from rpmlint:
  conffile-without-noreplace-flag /etc/gconf/schemas/hamster-applet.schemas
It is up to you to decide if it is worth marking that file as %config(noreplace)
(but I would do it)
S
For cosmetical reasons, please split the BR line in 2, so as to not exceed 80
columns (you now have 151)

I'll test the program a bit later and follow with a full review.
Comment 5 Mads Villadsen 2008-04-20 04:02:02 EDT
I have split up the BuildRequires into more lines.

In regards to the schema file I have been reading the packaging guidelines again
and (to me at least) it seems that the schema file isn't meant as a
user-editable configuration file. So I see two options: Either leave it like it
is (without the noreplace flag) or not mark it as a config file at all (which
gives the non-conffile-in-etc rpmllint warning).

I looked at deskbar-applet and gedit for instance, and they don't mark their
schema files with %config.

So unless you have any objections I have decided to not mark the schema file as
a config file.

New versions available here:

Spec URL: http://krakoa.dk/fedora/hamster-applet.spec
SRPM URL: http://krakoa.dk/fedora/hamster-applet-0.1.7.4-2.fc9.src.rpm
Comment 6 manuel wolfshant 2008-04-21 14:07:24 EDT
What's the proper way to start this app ? I get:

Traceback (most recent call last):
  File "/usr/lib/hamster-applet/hamster-applet", line 28, in <module>
    import gtk, gnomeapplet
ImportError: No module named gnomeapplet

Also, as hamster-applet ships icons in the hicolor directory, it should have
"Requires: hicolor-icon-theme"
Comment 7 Mads Villadsen 2008-04-21 16:56:32 EDT
It is a panel applet, so the correct way to start it is to right click on a
gnome panel and add the Hamster applet.

The gnomeapplet should be provided by the gnome-python2-applet package - which I
mistakenly only have as a BuildRequires.

I have added a lot of Requires in the new version, so it should actually now
have a proper list of the packages required at runtime.

I have also added hicolor-icon-theme as a Requires.

New versions available here:

Spec URL: http://krakoa.dk/fedora/hamster-applet.spec
SRPM URL: http://krakoa.dk/fedora/hamster-applet-0.1.7.4-3.fc9.src.rpm
Comment 8 manuel wolfshant 2008-04-25 11:21:20 EDT
Sorry for the delay, switching from a minimal F8 to something in which gnome
works was a PIA.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:hamster-applet.i386: W: non-conffile-in-etc
/etc/gconf/schemas/hamster-applet.schemas
=> acceptable, per comment #5
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv3+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package:886bc42157cb21fa4f9a5bc6ec50c3b489438e94 
hamster-applet-0.1.7.4.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
=> it is an applet, so it is a GUI but should not be launched via a desktop file
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: all archs supported by koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:F8/i386
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


================
*** APPROVED ***
================
Comment 9 Mads Villadsen 2008-04-25 16:01:14 EDT
New Package CVS Request
=======================
Package Name: hamster-applet
Short Description: Time tracking applet
Owners: maxx
Branches: F-9
InitialCC: maxx
Cvsextras Commits: yes
Comment 10 Tom "spot" Callaway 2008-04-25 16:22:56 EDT
cvs done.
Comment 11 Mads Villadsen 2008-05-25 15:47:50 EDT
This should have been closed a while ago... Closing now.

Note You need to log in before you can comment on or make changes to this bug.